Mailinglist Archive: libyui-devel (9 mails)

< Previous Next >
Re: [libyui-devel] libyui-gtk build failure because of deprecated gtk_vbox_get_type
Am Sonntag, den 30.06.2013, 23:46 +0200 schrieb Angelo Naselli:
Hi,
I got this error:

/home/iurt/rpmbuild/BUILD/libyui-gtk-2.43.4-c24f810/src/YGBarGraph.cc:
In constructor 'YGPartitionSplitter::YGPartitionSplitter(YWidget*,
int, int, int, int, int, const string&, const string&, const string&,
const string&, const string&)':
/home/iurt/rpmbuild/BUILD/libyui-gtk-2.43.4-c24f810/src/YGBarGraph.cc:73:28:
error: 'GType gtk_vbox_get_type()' is deprecated (declared at
/usr/include/gtk-3.0/gtk/deprecated/gtkvbox.h:59)
[-Werror=deprecated-declarations]
/home/iurt/rpmbuild/BUILD/libyui-gtk-2.43.4-c24f810/src/YGBarGraph.cc:73:28:
error: 'GType gtk_vbox_get_type()' is deprecated (declared at
/usr/include/gtk-3.0/gtk/deprecated/gtkvbox.h:59)
[-Werror=deprecated-declarations]

Can someone help me?

Thanks,
Angelo

Hi Angelo!

quick fix: cmake -DENABLE_WERROR=OFF

Cheers,
Björn
< Previous Next >
List Navigation
Follow Ups